; The CMD file.
;
; Two parts: 1. Command definition and  2. State entry
; (state entry is after the commands def section)
;
; 1. Command definition
; ---------------------
; Note: The commands are CASE-SENSITIVE, and so are the command names.
; The eight directions are:
;   B, DB, D, DF, F, UF, U, UB     (all CAPS)
;   corresponding to back, down-back, down, downforward, etc.
; The six buttons are:
;   a, b, c, x, y, z               (all lower case)
;   In default key config, abc are are the bottom, and xyz are on the
;   top row. For 2 button characters, we recommend you use a and b.
;   For 6 button characters, use abc for kicks and xyz for punches.
;
; Each [Command] section defines a command that you can use for
; state entry, as well as in the CNS file.
; The command section should look like:
;
;   [Command]
;   name = some_name
;   command = the_command
;   time = time (optional)
;   buffer.time = time (optional)
;
; - some_name
;   A name to give that command. You'll use this name to refer to
;   that command in the state entry, as well as the CNS. It is case-
;   sensitive (QCB_a is NOT the same as Qcb_a or QCB_A).
;
; - command
;   list of buttons or directions, separated by commas. Each of these
;   buttons or directions is referred to as a "symbol".
;   Directions and buttons can be preceded by special characters:
;   slash (/) - means the key must be held down
;          egs. command = /D       ;hold the down direction
;               command = /DB, a   ;hold down-back while you press a
;   tilde (~) - to detect key releases
;          egs. command = ~a       ;release the a button
;               command = ~D, F, a ;release down, press fwd, then a
;          If you want to detect "charge moves", you can specify
;          the time the key must be held down for (in game-ticks)
;          egs. command = ~30a     ;hold a for at least 30 ticks, then release
;   dollar ($) - Direction-only: detect as 4-way
;          egs. command = $D       ;will detect if D, DB or DF is held
;               command = $B       ;will detect if B, DB or UB is held
;   plus (+) - Buttons only: simultaneous press
;          egs. command = a+b      ;press a and b at the same time
;               command = x+y+z    ;press x, y and z at the same time
;   greater-than (>) - means there must be no other keys pressed or released
;                      between the previous and the current symbol.
;          egs. command = a, >~a   ;press a and release it without having hit
;                                  ;or released any other keys in between
;   You can combine the symbols:
;     eg. command = ~30$D, a+b     ;hold D, DB or DF for 30 ticks, release,
;                                  ;then press a and b together
;
;   Note: Successive direction symbols are always expanded in a manner similar
;         to this example:
;           command = F, F
;         is expanded when MUGEN reads it, to become equivalent to:
;           command = F, >~F, >F
;
;   It is recommended that for most "motion" commads, eg. quarter-circle-fwd,
;   you start off with a "release direction". This makes the command easier
;   to do.
;
; - time (optional)
;   Time allowed to do the command, given in game-ticks. The default
;   value for this is set in the [Defaults] section below. A typical
;   value is 15.
;
; - buffer.time (optional)
;   Time that the command will be buffered for. If the command is done
;   successfully, then it will be valid for this time. The simplest
;   case is to set this to 1. That means that the command is valid
;   only in the same tick it is performed. With a higher value, such
;   as 3 or 4, you can get a "looser" feel to the command. The result
;   is that combos can become easier to do because you can perform
;   the command early. Attacks just as you regain control (eg. from
;   getting up) also become easier to do. The side effect of this is
;   that the command is continuously asserted, so it will seem as if
;   you had performed the move rapidly in succession during the valid
;   time. To understand this, try setting buffer.time to 30 and hit
;   a fast attack, such as KFM's light punch.
;   The default value for this is set in the [Defaults] section below. 
;   This parameter does not affect hold-only commands (eg. /F). It
;   will be assumed to be 1 for those commands.
;
; If you have two or more commands with the same name, all of them will
; work. You can use it to allow multiple motions for the same move.
;
; Some common commands examples are given below.
;
; [Command] ;Quarter circle forward + x
; name = "QCF_x"
; command = ~D, DF, F, x
;
; [Command] ;Half circle back + a
; name = "HCB_a"
; command = ~F, DF, D, DB, B, a
;
; [Command] ;Two quarter circles forward + y
; name = "2QCF_y"
; command = ~D, DF, F, D, DF, F, y
;
; [Command] ;Tap b rapidly
; name = "5b"
; command = b, b, b, b, b
; time = 30
;
; [Command] ;Charge back, then forward + z
; name = "charge_B_F_z"
; command = ~60$B, F, z
; time = 10
;
; [Command] ;Charge down, then up + c
; name = "charge_D_U_c"
; command = ~60$D, U, c
; time = 10


;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

; Default value for the "buffer.time" parameter of a Command. Minimum 1,
; maximum 30.
command.buffer.time = 1


;-| Super Motions |--------------------------------------------------------
;The following two have the same name, but different motion.
;Either one will be detected by a "command = TripleKFPalm" trigger.
;Time is set to 20 (instead of default of 15) to make the move
;easier to do.
;
[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"   ;Same name as above
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"   ;Same name as above
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

;-| Special Motions |------------------------------------------------------
[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "QCF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "QCB_x"
command = ~D, DB, B, x

[Command]
name = "QCB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;----------------------------------------AIコマンド
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = Selfstate          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]

[State -1, ai] 
type = varset
triggerall = !Ishelper
triggerall = var(59) = 0 
trigger1 = Command = "AI0" 
trigger2 = Command = "AI1" 
trigger3 = Command = "AI2" 
trigger4 = Command = "AI3" 
trigger5 = Command = "AI4" 
trigger6 = Command = "AI5" 
trigger7 = Command = "AI6" 
trigger8 = Command = "AI7" 
trigger9 = Command = "AI8" 
trigger10 = Command = "AI9" 
trigger11 = Command = "AI10" 
trigger12 = Command = "AI11" 
trigger13 = Command = "AI12" 
trigger14 = Command = "AI13" 
trigger15 = Command = "AI14" 
trigger16 = Command = "AI15" 
trigger17 = Command = "AI16" 
trigger18 = Command = "AI17" 
trigger19 = Command = "AI18" 
trigger20 = Command = "AI19" 
trigger21 = Command = "AI20" 
trigger22 = Command = "AI21" 
trigger23 = Command = "AI22" 
trigger24 = Command = "AI23" 
trigger25 = Command = "AI24" 
trigger26 = Command = "AI25" 
trigger27 = Command = "AI26" 
trigger28 = Command = "AI27" 
trigger29 = Command = "AI28" 
trigger30 = Command = "AI29" 
trigger31 = Command = "AI30"  
trigger32 = Command = "AI31" 
trigger33 = Command = "AI32" 
trigger34 = Command = "AI33" 
trigger35 = Command = "AI34" 
trigger36 = Command = "AI35" 
trigger37 = Command = "AI36" 
trigger38 = Command = "AI37" 
trigger39 = Command = "AI38" 
trigger40 = Command = "AI39" 
trigger41 = Command = "AI40"
trigger42 = Command = "AI41" 
trigger43 = Command = "AI42" 
trigger44 = Command = "AI43" 
trigger45 = Command = "AI44"
trigger46 = Command = "AI45" 
trigger47 = Command = "AI46" 
trigger48 = Command = "AI47" 
trigger49 = Command = "AI48" 
trigger50 = Command = "AI49" 
trigger51 = Command = "AI50" 
;trigger52 = 1              
;↑「;」を取り除けば常時AI起動
var(59) = 1

;---------------------------------------------------------------------------

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;ダッシュ
[State -1, Run Fwd]
type = Selfstate
value = 100
triggerall = var(59) = 0 
trigger1 = command = "FF"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;後退ダッシュ
[State -1, Run Back]
type = Selfstate
value = 105
triggerall = var(59) = 0 
trigger1 = command = "BB"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;投げ
[State -1]
type = Selfstate
value = 500
triggerall = var(59) = 0 
triggerall = command = "x" || command = "y" || command = "z"
triggerall = P2bodydist x <30
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------

;バブルクラッシュ
[State -1]
type = Selfstate
value = 2000
triggerall = var(59) = 0 
triggerall = power >=5000
triggerall = numhelper(2010)=0
triggerall = command = "c"
triggerall = command = "holdback"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;ランサムロバー
[State -1]
type = Selfstate
value = 2100
triggerall = var(59) = 0
triggerall = numhelper(2110)=0 
triggerall = power >=7000
triggerall = command = "c"
triggerall = command = "holdfwd"
triggerall = statetype!=A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;ヘビースランプ
[State -1]
type = Selfstate
value = 2200
triggerall = var(59) = 0 
triggerall = helper(3000),stateno!=3205
triggerall = power >=10000
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = statetype!=A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;インフルエンス
[State -1]
type = Selfstate
value = 2300
triggerall = var(59) = 0 
triggerall = power >=100000
triggerall = command = "c"
triggerall = command = "holdup"
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;---------------------------------------------------------------------------
;バースト
[State -1]
type = Selfstate
value = 800
triggerall = var(59) = 0 
triggerall = power >=3000
trigger1 = command = "c"
trigger1 = stateno= [5000,5210]

;ロマキャン
[State -1]
type = Selfstate
value = 850
triggerall = var(59) = 0 
triggerall = power >=3000
triggerall = command = "c"
trigger1 = ctrl || stateno=[100,105]
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;---------------------------------------------------------------------------
;バッグ
[State -1]
type = Selfstate
value = 1300
triggerall = var(59) = 0 
triggerall = command = "a"
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0

;---------------------------------------------------------------------------
;扇
[State -1]
type = Selfstate
value = 1000
triggerall = var(59) = 0 
triggerall = command = "a"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0

;---------------------------------------------------------------------------
;火柱
[State -1]
type = Selfstate
value = 1100
triggerall = var(59) = 0 
triggerall = command = "b"
triggerall = command = "holdfwd"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0

;---------------------------------------------------------------------------
;火柱
[State -1]
type = Selfstate
value = 600
triggerall = var(59) = 0 
triggerall = command = "b"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0



;===========================================================================
;---------------------------------------------------------------------------
;ダッシュ弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 260
triggerall = var(59) = 0 
triggerall = command = "x"
trigger1 = stateno=100
trigger1 = animelemtime(2)>=0

;---------------------------------------------------------------------------
;ダッシュ中パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 270
triggerall = var(59) = 0 
triggerall = command = "y"
trigger1 = stateno=100
trigger1 = animelemtime(2)>=0
trigger2 = movecontact
trigger2 = stateno = 260
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;ダッシュ強パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 280
triggerall = var(59) = 0 
triggerall = command = "z"
trigger1 = stateno=100
trigger1 = animelemtime(2)>=0
trigger2 = movecontact
trigger2 = stateno = 260
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 270
trigger3 = animelemtime(4)>0

;---------------------------------------------------------------------------
;立ち弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 200
triggerall = var(59) = 0 
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;立ち中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 210
triggerall = var(59) = 0 
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;立ち強パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 220
triggerall = var(59) = 0 
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0

;---------------------------------------------------------------------------
;屈み弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 230
triggerall = var(59) = 0 
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;屈み中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 240
triggerall = var(59) = 0 
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 230
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;屈み強パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 250
triggerall = var(59) = 0 
triggerall = command = "z"
triggerall = command = "holddown"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 230
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 240
trigger3 = animelemtime(7)>0

;---------------------------------------------------------------------------
;空中弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 300
triggerall = var(59) = 0 
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;空中中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 310
triggerall = var(59) = 0 
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 300
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;空中中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 320
triggerall = var(59) = 0 
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 300
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 310
trigger3 = animelemtime(4)>0











;===========================================================================
;---------------------------------------------------------------------------
;火柱
[State -1]
type = Selfstate
value = 600
triggerall = enemy(0),numhelper + numhelper + enemy(1),numhelper + partner,numhelper < 55
triggerall = var(59) != 0 && roundstate=2
triggerall = enemynear,HitDefAttr=SCA,AA,AT,AP
triggerall = P2Dist x =[-60,80]
triggerall = enemynear,statetype!=L
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0

;---------------------------------------------------------------------------
;Run Fwd
;ダッシュ
[State -1, Run Fwd]
type = Selfstate
value = 100
triggerall = var(59) != 0 && roundstate=2
triggerall = statetype != A
triggerall = ctrl
trigger1 = inguarddist || PrevStateNo = 220
trigger1 = FrontEdgeDist >50
trigger2 = P2dist x >180
trigger2 = random<100
trigger3 = FrontEdgeDist > 70 && P2Dist x >70
trigger3 = enemynear,stateno=225
trigger3 = enemynear,movetype=H
trigger4 = BackEdgeDist <140
trigger4 = enemynear,stateno=226
trigger4 = enemynear,movetype=H
trigger4 = enemynear,time<5
trigger5 = enemynear,movetype=A
trigger5 = Prevstateno=800
trigger5 = FrontEdgeDist >50
trigger6 = enemynear,movetype!=H
trigger6 = prevstateno=850
trigger6 = statetype != A
trigger6 = ctrl

;---------------------------------------------------------------------------
;Run Back
;後退ダッシュ
[State -1, Run Back]
type = Selfstate
value = 105
triggerall = var(59) != 0 && roundstate=2
triggerall = statetype != A
triggerall = ctrl
trigger1 = inguarddist || PrevStateNo = 210 || Prevstateno=800
trigger1 = FrontEdgeDist <50 || PrevStateNo = 210
trigger2 = PrevStateNo=[200,220]
trigger2 = random<50
trigger3 = enemynear,movetype=A
trigger3 = Prevstateno=800
trigger3 = FrontEdgeDist <50

;---------------------------------------------------------------------------
;投げ
[State -1]
type = Selfstate
value = 500
triggerall = var(59) != 0 && roundstate=2
triggerall = P2bodydist x <30
trigger1 = enemynear,movetype=H
trigger1 = enemynear,statetype=S || enemynear,statetype=C
trigger1 = prevstateno=850
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = power>3000
trigger2 = random<40
trigger2 = P2dist y =0
trigger2 = enemynear,statetype!=L
trigger2 = statetype != A
trigger2 = ctrl

;---------------------------------------------------------------------------
;インフルエンス
[State -1]
type = Selfstate
value = 2300
triggerall = var(59) != 0 && roundstate=2
triggerall = power >100000
triggerall = var(55) = stateno || var(56) = stateno || var(57) = stateno || ctrl =1
trigger1 = enemynear,movetype!=H
trigger1 = inguarddist || enemynear,movetype=A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;ヘビースランプ
[State -1]
type = Selfstate
value = 2200
triggerall = var(59) != 0 && roundstate=2
triggerall = helper(3000),stateno!=3205
triggerall = power >=10000
triggerall = power > 100000-( (helper(3000),var(0)+var(0)) * 10000)
triggerall = statetype!=A
triggerall = movecontact || ctrl || enemynear,movetype=H
trigger1 = enemynear,HitDefAttr=SCA,AA,AT,AP
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;ランサムロバー
[State -1]
type = Selfstate
value = 2100
triggerall = enemy(0),numhelper + numhelper + enemy(1),numhelper + partner,numhelper < 56
triggerall = var(59) != 0
triggerall = numhelper(2110)=0 
triggerall = power >=7000
triggerall = numtarget || P2Dist x =[30,240]
triggerall = P2Dist y =[-20,1]
triggerall = statetype!=A
trigger1 = enemynear,HitDefAttr=SCA,AA,AT,AP
trigger1 = ctrl
trigger2 = movecontact && numtarget
trigger2 = stateno = 210
trigger2 = animelemtime(4)>0
trigger3 = movecontact && numtarget
trigger3 = stateno = 220
trigger3 = animelemtime(6)>0
trigger4 = movecontact && numtarget
trigger4 = stateno = 270
trigger4 = animelemtime(4)>0
trigger5 = movecontact && numtarget
trigger5 = stateno = 280
trigger5 = animelemtime(7)>0

;バブルクラッシュ
[State -1]
type = Selfstate
value = 2000
triggerall = enemy(0),numhelper + numhelper + enemy(1),numhelper + partner,numhelper < 43
triggerall = var(59) != 0 && roundstate=2
triggerall = power =5000*(var(0)+helper(3000),var(0))+5000
triggerall = numhelper(2010)=0
triggerall = var(55) = stateno || var(56) = stateno || var(57) = stateno || ctrl =1
trigger1 = enemynear,movetype!=H
trigger1 = inguarddist || enemynear,movetype=A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = movecontact
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = movecontact
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = movecontact
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = movecontact
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = movecontact
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = movecontact
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = movecontact
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = movecontact
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = movecontact
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = movecontact
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;---------------------------------------------------------------------------
;バースト
[State -1]
type = Selfstate
value = 800
triggerall = var(59) != 0 && roundstate=2
triggerall = power >=3000
triggerall = stateno= [5000,5210]
trigger1 = gethitvar(damage)>=life
trigger1 = time=0
trigger2 = var(58)>lifemax
trigger2 = time=0
trigger3 = var(55) = stateno || var(56) = stateno || var(57) = stateno

;ロマキャン
[State -1];投げ狙い
type = Selfstate
value = 850
triggerall = var(59) != 0 && roundstate=2
triggerall = power >=3000
triggerall = numtarget>0
triggerall = P2bodydist x <15
triggerall = enemynear,statetype!=A
trigger1 = stateno=210
trigger1 = animelemtime(4)>0
trigger2 = stateno=270
trigger2 = animelemtime(4)>0

;ロマキャン逃げ
[State -1]
type = Selfstate
value = 850
triggerall = var(59) != 0 && roundstate=2
triggerall = power >=3000
triggerall = var(55) = stateno || var(56) = stateno || var(57) = stateno
trigger1 = stateno=[100,105]
trigger1 = animelemtime(4) > 0
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0
trigger4 = stateno = 220
trigger4 = animelemtime(6)>0
trigger5 = stateno = 230
trigger5 = animelemtime(4)>0
trigger6 = stateno = 240
trigger6 = animelemtime(7)>0
trigger7 = stateno = 250
trigger7 = animelemtime(6)>0
trigger8 = stateno = 260
trigger8 = animelemtime(4)>0
trigger9 = stateno = 270
trigger9 = animelemtime(4)>0
trigger10 = stateno = 280
trigger10 = animelemtime(7)>0
trigger11 = stateno = 300
trigger11 = animelemtime(4)>0
trigger12 = stateno = 310
trigger12 = animelemtime(7)>0
trigger13 = stateno = 320
trigger13 = animelemtime(4)>0
trigger14 = stateno = 600
trigger14 = animelemtime(5)>0
trigger15 = stateno = 1000
trigger15 = animelemtime(4)>0
trigger16 = stateno = 1100
trigger16 = animelemtime(5)>0
trigger17 = stateno = 1300
trigger17 = animelemtime(5)>0
trigger18 = stateno = 1301

;---------------------------------------------------------------------------
;バッグ
[State -1]
type = Selfstate
value = 1300
triggerall = var(59) != 0 && roundstate=2
trigger1 = FrontEdgeDist >100
trigger1 = P2Dist x =[0,180]
trigger1 = enemynear,movetype=H || PrevStateNo = 200
trigger1 = PrevStateNo=1000 || PrevStateNo=1100
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = gametime%3 != 0
trigger2 = enemynear,movetype!=H
trigger2 = !inguarddist
trigger2 = FrontEdgeDist =[50,180]
trigger2 = statetype != A
trigger2 = ctrl
trigger3 = movecontact
trigger3 = stateno = 250
trigger3 = animelemtime(6)>0

;---------------------------------------------------------------------------
;扇
[State -1]
type = Selfstate
value = 1000
triggerall = enemy(0),numhelper + numhelper + enemy(1),numhelper + partner,numhelper < 56
triggerall = var(59) != 0 && roundstate=2
triggerall = P2Dist x =[-70,100]
triggerall = P2Dist y >=-35 || FrontEdgeDist < 60
triggerall = enemynear,statetype!=L
trigger1 = inguarddist || Prevstateno = 1100 || PrevStateNo = 200
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact && enemynear,movetype!=H
trigger2 = stateno = 220
trigger2 = animelemtime(6)>0
trigger3 = movecontact && enemynear,movetype!=H
trigger3 = stateno = 250
trigger3 = animelemtime(6)>0
trigger4 = enemynear,stateno=4003
trigger4 = enemynear,movetype=H
trigger4 = statetype != A
trigger4 = ctrl

;---------------------------------------------------------------------------
;火柱
[State -1]
type = Selfstate
value = 1100
triggerall = enemy(0),numhelper + numhelper + enemy(1),numhelper + partner,numhelper < 53
triggerall = var(59) != 0 && roundstate=2
triggerall = P2Dist x =[0,180]
triggerall = enemynear,statetype!=L
trigger1 = P2Dist y <-35 || Prevstateno = 1000
trigger1 = inguarddist || Prevstateno=1301 || Prevstateno = 600 || Prevstateno = 1100 || Prevstateno = 1000
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 230
trigger2 = animelemtime(4)>0
trigger3 = gametime%3 = 0
trigger3 = enemynear,movetype!=H
trigger3 = !inguarddist
trigger3 = FrontEdgeDist =[50,180]
trigger3 = statetype != A
trigger3 = ctrl
trigger4 = enemynear,stateno=4003
trigger4 = enemynear,movetype=H
trigger4 = statetype != A
trigger4 = ctrl


;===========================================================================
;---------------------------------------------------------------------------
;ダッシュ弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 260
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[20,60]
triggerall = enemynear,statetype!=L
triggerall = P2dist y =[-50,0]
trigger1 = !inguarddist
trigger1 = stateno=100
trigger1 = animelemtime(2)>=0
trigger1 = animelemtime(4)<0
trigger1 = enemynear,stateno!=[225,226]
trigger2 = enemy(0),numhelper + numhelper + enemy(1),numhelper + partner,numhelper = 56
trigger2 = stateno=100
trigger2 = animelemtime(2)>=0
trigger2 = animelemtime(4)<0

;---------------------------------------------------------------------------
;ダッシュ中パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 270
triggerall = var(59) != 0 && roundstate=2
triggerall = enemynear,statetype!=L
triggerall = P2dist y =[-50,0]
trigger1 = P2dist x =[60,90]
trigger1 = !inguarddist
trigger1 = stateno=100
trigger1 = animelemtime(2)>=0
trigger1 = animelemtime(4)<0
trigger1 = enemynear,movetype!=H
trigger2 = movecontact
trigger2 = stateno = 260
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;ダッシュ強パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 280
triggerall = var(59) != 0 && roundstate=2
triggerall = !inguarddist
triggerall = enemynear,statetype!=L
triggerall = P2dist y =[-50,0]
trigger1 = P2dist x =[90,110]
trigger1 = stateno=100
trigger1 = animelemtime(2)>=0
trigger1 = animelemtime(4)<0
trigger1 = enemynear,movetype!=H
trigger2 = movecontact
trigger2 = stateno = 260
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 270
trigger3 = animelemtime(4)>0

;---------------------------------------------------------------------------
;立ち弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 200
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[0,60]
triggerall = P2dist y =0
triggerall = enemynear,statetype!=L
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;立ち中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 210
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[10,85]
triggerall = P2dist y =0
triggerall = enemynear,statetype!=L
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;立ち強パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 220
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[10,95]
triggerall = P2dist y =0
triggerall = enemynear,statetype!=L
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 200
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 210
trigger3 = animelemtime(4)>0

;---------------------------------------------------------------------------
;屈み弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 230
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[-20,55]
triggerall = P2dist y =[-40,1]
triggerall = enemynear,Statetype=L && enemynear,stateno=226
trigger1 = statetype != A
trigger1 = ctrl

;---------------------------------------------------------------------------
;屈み中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 240
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[-20,95]
triggerall = P2dist y =[-40,1]
trigger1 = enemynear,Statetype=L && enemynear,stateno=226
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movehit
trigger2 = stateno = 230
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;屈み強パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 250
triggerall = var(59) != 0 && roundstate=2
triggerall = P2dist x =[0,70]
triggerall = P2dist y =[-80,-50]
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 230
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 240
trigger3 = animelemtime(7)>0

;---------------------------------------------------------------------------
;空中弱パンチ
[State -1, Stand Light Punch]
type = Selfstate
value = 300
triggerall = var(59) != 0 && roundstate=2
triggerall = P2Dist x >=70
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;空中中パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 310
triggerall = var(59) != 0 && roundstate=2
triggerall = P2Dist x <70
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 300
trigger2 = animelemtime(4)>0

;---------------------------------------------------------------------------
;空中強パンチ
[State -1, Stand Strong Punch]
type = Selfstate
value = 320
triggerall = var(59) != 0 && roundstate=2
triggerall = enemynear,movetype=H
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = movecontact
trigger2 = stateno = 300
trigger2 = animelemtime(4)>0
trigger3 = movecontact
trigger3 = stateno = 310
trigger3 = animelemtime(4)>0